> ## Documentation Index
> Fetch the complete documentation index at: https://help.kajabi.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://help.kajabi.com/feedback

```json
{
  "path": "/api-reference/customers/list-customers",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# List customers

> List of customers
## Pagination
Use `page[number]` and `page[size]` parameters to paginate results:
### Get first page of 10 items
* `GET /v1/customers?page[number]=1&page[size]=10`
### Get second page of 25 items
* `GET /v1/customers?page[number]=2&page[size]=25`

The response includes pagination links and meta data:
```json
{
  "links": {
    "self": "https://app.kajabi.com/api/v1/customers?page[number]=2&page[size]=10",
    "first": "https://app.kajabi.com/api/v1/customers?page[number]=1&page[size]=10",
    "prev": "https://app.kajabi.com/api/v1/customers?page[number]=1&page[size]=10",
    "next": "https://app.kajabi.com/api/v1/customers?page[number]=3&page[size]=10",
    "last": "https://app.kajabi.com/api/v1/customers?page[number]=5&page[size]=10"
  },
  "meta": {
    "total_pages": 5,
    "total_count": 50,
    "current_page": 2
  }
}
```
## Sorting
* The default Sorting is by created_at in descending order (newest first)

Sorting by created_at in ascending order (oldest first)
* `GET /v1/customers?filter[site_id]=123&sort=created_at`

Use the `sort` parameter to sort the results:
### Sort by name in ascending order
* `GET /v1/customers?filter[site_id]=123&sort=name`
### Sort by email in descending order
* `GET /v1/customers?filter[site_id]=123&sort=-email`
### Sort by net_revenue in ascending order
* `GET /v1/customers?filter[site_id]=123&sort=net_revenue`
### Sort by last_request_at in descending order
* `GET /v1/customers?filter[site_id]=123&sort=-last_request_at`

Response will include customers sorted by the specified field
```json
{
  "data": [{
    "id": "123",
    "type": "customers",
    "attributes": {
      "name": "Alice Smith",
      "email": "alice@example.com",
      "external_user_id": "cust_123"
    }
  }]
}
```
## Sparse Fields
Use the `fields[customers]` parameter to request only specific attributes:
### Only return name and email attributes
* `GET /v1/customers?fields[customers]=name,email`

Response will only include requested fields
```json
{
  "data": [{
    "id": "123",
    "type": "customers",
    "attributes": {
      "name": "Alice Smith",
      "email": "alice@example.com"
    }
  }]
}
```
## Filtering
Use the `filter[site_id]` parameter to filter customers by site:
### Get customers for site with ID 123
* `GET /v1/customers?filter[site_id]=123`

Response will include only customers from the specified site
```json
{
  "data": [{
    "id": "456",
    "type": "customers",
    "attributes": {
      "name": "Alice Smith",
      "email": "alice@example.com",
      "external_user_id": "cust_123"
    },
    "relationships": {
      "site": {
        "data": {
          "id": "123",
          "type": "sites"
        }
      }
    }
  }]
}
```
## Using Indexed Data Search
```json
{
  "data": [{
    "id": "456",
    "type": "customers",
    "attributes": {
      "name": "John Smith",
      "email": "smith.john@example.com"
    },
    "relationships": {
      "site": {
        "data": {
          "id": "123",
          "type": "sites"
        }
      }
    }
  }]
}
```

## Using Multiple Filters
You can combine multiple filter parameters to refine your search:
### Get customers from site 123 matching search term
* `GET /v1/customers?filter[site_id]=123&filter[search]=smith`

Response will include only customers from the specified site matching the search term
```json
{
  "data": [{
    "id": "456",
    "type": "customers",
    "attributes": {
      "name": "Alice Smith",
      "email": "alice@example.com",
      "external_user_id": "cust_123"
    },
    "relationships": {
      "site": {
        "data": {
          "id": "123",
          "type": "sites"
        }
      }
    }
  }]
}
```
## Filtering by Site and Offer
You can filter customers by both site and offer ownership:
### Get customers from site 123 who have been granted offer 789
* `GET /v1/customers?filter[site_id]=123&filter[has_offer_id]=789`

Response will include only customers from the specified site who have been granted the offer
```json
{
  "data": [{
    "id": "456",
    "type": "customers",
    "attributes": {
      "name": "Alice Smith",
      "email": "alice@example.com",
      "external_user_id": "cust_123"
    },
    "relationships": {
      "site": {
        "data": {
          "id": "123",
          "type": "sites"
        }
      },
      "offers": {
        "links": {
          "self": "https://app.kajabi.com/api/v1/customers/456/relationships/offers",
          "related": "https://app.kajabi.com/api/v1/customers/456/offers"
        }
      }
    }
  }]
}
```
## Filtering by Site and Product
You can filter customers by both site and product ownership:
### Get customers from site 123 who have purchased product 789
* `GET /v1/customers?filter[site_id]=123&filter[has_product_id]=789`

Response will include only customers from the specified site who have purchased the product
```json
{
  "data": [{
    "id": "456",
    "type": "customers",
    "attributes": {
      "name": "Alice Smith",
      "email": "alice@example.com",
      "external_user_id": "cust_123"
    },
    "relationships": {
      "site": {
        "data": {
          "id": "123",
          "type": "sites"
        }
      },
      "offers": {
        "links": {
          "self": "https://app.kajabi.com/api/v1/customers/456/relationships/offers",
          "related": "https://app.kajabi.com/api/v1/customers/456/offers"
        }
      }
    }
  }]
}
```
## Using Multiple Parameters Together
You can combine filtering, sparse fields, pagination and search in a single request:
### Get page 2 of customers from site 123, including only name and email fields, searching for "smith"
* `GET /v1/customers?filter[site_id]=123&fields[customers]=name,email&page[number]=2&page[size]=10&filter[search]=smith`

Response will include paginated, filtered customers with sparse fields
```json
{
  "data": [{
    "id": "456",
    "type": "customers",
    "attributes": {
      "name": "John Smith",
      "email": "john.smith@example.com"
    }
  }],
  "links": {
    "self": "https://app.kajabi.com/api/v1/customers?filter[site_id]=123&fields[customers]=name,email&page[number]=2&page[size]=10&filter[search]=smith",
    "first": "https://app.kajabi.com/api/v1/customers?filter[site_id]=123&fields[customers]=name,email&page[number]=1&page[size]=10&filter[search]=smith",
    "prev": "https://app.kajabi.com/api/v1/customers?filter[site_id]=123&fields[customers]=name,email&page[number]=1&page[size]=10&filter[search]=smith",
    "next": null,
    "last": "https://app.kajabi.com/api/v1/customers?filter[site_id]=123&fields[customers]=name,email&page[number]=2&page[size]=10&filter[search]=smith"
  },
  "meta": {
    "total_pages": 2,
    "total_count": 15,
    "current_page": 2
  }
}
```




## OpenAPI

````yaml /openapi.yaml get /v1/customers
openapi: 3.1.1
info:
  title: Kajabi API V1
  version: 1.0.1
  description: >
    ## Public API

    * Server URL `https://api.kajabi.com`

    * Endpoint paths are prefixed with `/v1`

    * Version endpoint `GET https://api.kajabi.com/v1/version`

    * See the [Developers Site](https://developers.kajabi.com) for documentation
    and examples.

    * Try the demo [Postman
    collection](https://www.postman.com/kajabi-apis/beta-public-api-demo/collection/fg4iyaz/kajabi-public-api-v1)

    ## API Keys

    * Your API `client_id` and `client_secret` are available on the [User API
    Keys](https://app.kajabi.com/admin/settings/security) section of the Kajabi
    Admin Portal.
      * Custom API Keys can be created with specific permissions.
      * Click the "Create User API Key" button, enter a name (e.g. "My project"), select the user and permissions, and click "Create".
      * For security purposes, you may "Delete" or "Rotate" the api credentials at any time; which will invalidate any access tokens granted with the credentials.
    ## Video Walkthroughs

    *
    [Capabilities](https://drive.google.com/file/d/1Puc9B2sSdA-RQb7YMxmUXg4FVoEXytoc/view?usp=sharing)

    * [Getting
    Started](https://drive.google.com/file/d/1hbGRShkxven_QMWvgYrerHKURbcZrnvJ/view?usp=sharing)

    * [Error
    Examples](https://drive.google.com/file/d/1i0wQK71I1jpaZVsxYwsn62gVj40S_E7Y/view?usp=sharing)

    * [External Contact
    Form](https://drive.google.com/file/d/1HqpULXvan5TOK3LvM7nILCuCkCaX0kFT/view?usp=sharing)
  contact:
    email: support@kajabi.com
    name: Support
    url: >-
      https://help.kajabi.com/hc/en-us/articles/4404549690523-How-to-Get-Help-From-Kajabi-Live-Agents
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://api.kajabi.com
    description: Production
security: []
paths:
  /v1/customers:
    get:
      tags:
        - Customers
      summary: List customers
      description: >
        List of customers

        ## Pagination

        Use `page[number]` and `page[size]` parameters to paginate results:

        ### Get first page of 10 items

        * `GET /v1/customers?page[number]=1&page[size]=10`

        ### Get second page of 25 items

        * `GET /v1/customers?page[number]=2&page[size]=25`


        The response includes pagination links and meta data:

        ```json

        {
          "links": {
            "self": "https://app.kajabi.com/api/v1/customers?page[number]=2&page[size]=10",
            "first": "https://app.kajabi.com/api/v1/customers?page[number]=1&page[size]=10",
            "prev": "https://app.kajabi.com/api/v1/customers?page[number]=1&page[size]=10",
            "next": "https://app.kajabi.com/api/v1/customers?page[number]=3&page[size]=10",
            "last": "https://app.kajabi.com/api/v1/customers?page[number]=5&page[size]=10"
          },
          "meta": {
            "total_pages": 5,
            "total_count": 50,
            "current_page": 2
          }
        }

        ```

        ## Sorting

        * The default Sorting is by created_at in descending order (newest
        first)


        Sorting by created_at in ascending order (oldest first)

        * `GET /v1/customers?filter[site_id]=123&sort=created_at`


        Use the `sort` parameter to sort the results:

        ### Sort by name in ascending order

        * `GET /v1/customers?filter[site_id]=123&sort=name`

        ### Sort by email in descending order

        * `GET /v1/customers?filter[site_id]=123&sort=-email`

        ### Sort by net_revenue in ascending order

        * `GET /v1/customers?filter[site_id]=123&sort=net_revenue`

        ### Sort by last_request_at in descending order

        * `GET /v1/customers?filter[site_id]=123&sort=-last_request_at`


        Response will include customers sorted by the specified field

        ```json

        {
          "data": [{
            "id": "123",
            "type": "customers",
            "attributes": {
              "name": "Alice Smith",
              "email": "alice@example.com",
              "external_user_id": "cust_123"
            }
          }]
        }

        ```

        ## Sparse Fields

        Use the `fields[customers]` parameter to request only specific
        attributes:

        ### Only return name and email attributes

        * `GET /v1/customers?fields[customers]=name,email`


        Response will only include requested fields

        ```json

        {
          "data": [{
            "id": "123",
            "type": "customers",
            "attributes": {
              "name": "Alice Smith",
              "email": "alice@example.com"
            }
          }]
        }

        ```

        ## Filtering

        Use the `filter[site_id]` parameter to filter customers by site:

        ### Get customers for site with ID 123

        * `GET /v1/customers?filter[site_id]=123`


        Response will include only customers from the specified site

        ```json

        {
          "data": [{
            "id": "456",
            "type": "customers",
            "attributes": {
              "name": "Alice Smith",
              "email": "alice@example.com",
              "external_user_id": "cust_123"
            },
            "relationships": {
              "site": {
                "data": {
                  "id": "123",
                  "type": "sites"
                }
              }
            }
          }]
        }

        ```

        ## Using Indexed Data Search

        ```json

        {
          "data": [{
            "id": "456",
            "type": "customers",
            "attributes": {
              "name": "John Smith",
              "email": "smith.john@example.com"
            },
            "relationships": {
              "site": {
                "data": {
                  "id": "123",
                  "type": "sites"
                }
              }
            }
          }]
        }

        ```


        ## Using Multiple Filters

        You can combine multiple filter parameters to refine your search:

        ### Get customers from site 123 matching search term

        * `GET /v1/customers?filter[site_id]=123&filter[search]=smith`


        Response will include only customers from the specified site matching
        the search term

        ```json

        {
          "data": [{
            "id": "456",
            "type": "customers",
            "attributes": {
              "name": "Alice Smith",
              "email": "alice@example.com",
              "external_user_id": "cust_123"
            },
            "relationships": {
              "site": {
                "data": {
                  "id": "123",
                  "type": "sites"
                }
              }
            }
          }]
        }

        ```

        ## Filtering by Site and Offer

        You can filter customers by both site and offer ownership:

        ### Get customers from site 123 who have been granted offer 789

        * `GET /v1/customers?filter[site_id]=123&filter[has_offer_id]=789`


        Response will include only customers from the specified site who have
        been granted the offer

        ```json

        {
          "data": [{
            "id": "456",
            "type": "customers",
            "attributes": {
              "name": "Alice Smith",
              "email": "alice@example.com",
              "external_user_id": "cust_123"
            },
            "relationships": {
              "site": {
                "data": {
                  "id": "123",
                  "type": "sites"
                }
              },
              "offers": {
                "links": {
                  "self": "https://app.kajabi.com/api/v1/customers/456/relationships/offers",
                  "related": "https://app.kajabi.com/api/v1/customers/456/offers"
                }
              }
            }
          }]
        }

        ```

        ## Filtering by Site and Product

        You can filter customers by both site and product ownership:

        ### Get customers from site 123 who have purchased product 789

        * `GET /v1/customers?filter[site_id]=123&filter[has_product_id]=789`


        Response will include only customers from the specified site who have
        purchased the product

        ```json

        {
          "data": [{
            "id": "456",
            "type": "customers",
            "attributes": {
              "name": "Alice Smith",
              "email": "alice@example.com",
              "external_user_id": "cust_123"
            },
            "relationships": {
              "site": {
                "data": {
                  "id": "123",
                  "type": "sites"
                }
              },
              "offers": {
                "links": {
                  "self": "https://app.kajabi.com/api/v1/customers/456/relationships/offers",
                  "related": "https://app.kajabi.com/api/v1/customers/456/offers"
                }
              }
            }
          }]
        }

        ```

        ## Using Multiple Parameters Together

        You can combine filtering, sparse fields, pagination and search in a
        single request:

        ### Get page 2 of customers from site 123, including only name and email
        fields, searching for "smith"

        * `GET
        /v1/customers?filter[site_id]=123&fields[customers]=name,email&page[number]=2&page[size]=10&filter[search]=smith`


        Response will include paginated, filtered customers with sparse fields

        ```json

        {
          "data": [{
            "id": "456",
            "type": "customers",
            "attributes": {
              "name": "John Smith",
              "email": "john.smith@example.com"
            }
          }],
          "links": {
            "self": "https://app.kajabi.com/api/v1/customers?filter[site_id]=123&fields[customers]=name,email&page[number]=2&page[size]=10&filter[search]=smith",
            "first": "https://app.kajabi.com/api/v1/customers?filter[site_id]=123&fields[customers]=name,email&page[number]=1&page[size]=10&filter[search]=smith",
            "prev": "https://app.kajabi.com/api/v1/customers?filter[site_id]=123&fields[customers]=name,email&page[number]=1&page[size]=10&filter[search]=smith",
            "next": null,
            "last": "https://app.kajabi.com/api/v1/customers?filter[site_id]=123&fields[customers]=name,email&page[number]=2&page[size]=10&filter[search]=smith"
          },
          "meta": {
            "total_pages": 2,
            "total_count": 15,
            "current_page": 2
          }
        }

        ```
      parameters:
        - name: sort
          in: query
          required: false
          description: >-
            Sort order, use: name, email, created_at, net_revenue,
            last_request_at for descending order use '-' e.g. &sort=-name
          schema:
            type: string
        - name: page[number]
          in: query
          required: false
          schema:
            type: number
        - name: page[size]
          in: query
          required: false
          description: Number of documents
          schema:
            type: number
        - name: fields[customers]
          in: query
          required: false
          description: >-
            Sparse fields, use: name, email for example
            ?fields[customers]=name,email
          schema:
            type: string
        - name: filter[site_id]
          in: query
          required: false
          description: >-
            It is recommended to always filter by site_id, for example
            ?filter[site_id]=111. This param is required when the account has
            multiple sites
          schema:
            type: string
        - name: filter[search]
          in: query
          required: false
          description: >-
            Filter with fuzzy search of name/email, for example
            ?filter[search]=alexa
          schema:
            type: string
        - name: filter[created_in_last]
          in: query
          required: false
          description: >-
            Filter customers created in the last N days, e.g.
            ?filter[created_in_last]=30
          schema:
            type: string
        - name: filter[not_created_in_last]
          in: query
          required: false
          description: Filter customers not created in the last N days
          schema:
            type: string
        - name: filter[is_hidden]
          in: query
          required: false
          description: Filter hidden customers
          schema:
            type: string
        - name: filter[joined_in_last]
          in: query
          required: false
          description: Filter customers who joined in the last N days
          schema:
            type: string
        - name: filter[active_in_last]
          in: query
          required: false
          description: Filter customers active in the last N days
          schema:
            type: string
        - name: filter[inactive_in_last]
          in: query
          required: false
          description: Filter customers inactive in the last N days
          schema:
            type: string
        - name: filter[name_contains]
          in: query
          required: false
          description: Filter customers whose name contains the given value
          schema:
            type: string
        - name: filter[email_contains]
          in: query
          required: false
          description: Filter customers whose email contains the given value
          schema:
            type: string
        - name: filter[phone_number_contains]
          in: query
          required: false
          description: Filter customers whose phone number contains the given value
          schema:
            type: string
        - name: filter[address_line_1_contains]
          in: query
          required: false
          description: Filter customers whose address line 1 contains the given value
          schema:
            type: string
        - name: filter[address_line_2_contains]
          in: query
          required: false
          description: Filter customers whose address line 2 contains the given value
          schema:
            type: string
        - name: filter[address_city_contains]
          in: query
          required: false
          description: Filter customers whose city contains the given value
          schema:
            type: string
        - name: filter[address_state_contains]
          in: query
          required: false
          description: Filter customers whose state contains the given value
          schema:
            type: string
        - name: filter[address_country_contains]
          in: query
          required: false
          description: Filter customers whose country contains the given value
          schema:
            type: string
        - name: filter[address_zip_contains]
          in: query
          required: false
          description: Filter customers whose zip code contains the given value
          schema:
            type: string
        - name: filter[has_tag_id]
          in: query
          required: false
          description: Filter customers with a specific tag ID
          schema:
            type: string
        - name: filter[has_all_tag_id]
          in: query
          required: false
          description: Filter customers with all specified tag IDs
          schema:
            type: string
        - name: filter[has_no_tag_id]
          in: query
          required: false
          description: Filter customers without the specified tag ID
          schema:
            type: string
        - name: filter[subscribed]
          in: query
          required: false
          description: Filter subscribed customers
          schema:
            type: string
        - name: filter[has_offer_id]
          in: query
          required: false
          description: Filter customers with a specific offer ID
          schema:
            type: string
        - name: filter[has_no_offer_id]
          in: query
          required: false
          description: Filter customers without the specified offer ID
          schema:
            type: string
        - name: filter[used_coupon_code]
          in: query
          required: false
          description: Filter customers who used a specific coupon code
          schema:
            type: string
        - name: filter[submitted_form_id]
          in: query
          required: false
          description: Filter customers who submitted a specific form ID
          schema:
            type: string
        - name: filter[no_submitted_form_id]
          in: query
          required: false
          description: Filter customers who have not submitted the specified form ID
          schema:
            type: string
        - name: filter[registered_event_id]
          in: query
          required: false
          description: Filter customers who registered for a specific event ID
          schema:
            type: string
        - name: filter[not_registered_event_id]
          in: query
          required: false
          description: Filter customers who have not registered for the specified event ID
          schema:
            type: string
        - name: filter[completed_assessment_id]
          in: query
          required: false
          description: Filter customers who completed a specific assessment ID
          schema:
            type: string
        - name: filter[passed_assessment_id]
          in: query
          required: false
          description: Filter customers who passed a specific assessment ID
          schema:
            type: string
        - name: filter[failed_assessment_id]
          in: query
          required: false
          description: Filter customers who failed a specific assessment ID
          schema:
            type: string
        - name: filter[net_revenue_equal_to]
          in: query
          required: false
          description: Filter customers whose net revenue equals the given value
          schema:
            type: string
        - name: filter[net_revenue_greater_than]
          in: query
          required: false
          description: Filter customers whose net revenue is greater than the given value
          schema:
            type: string
        - name: filter[net_revenue_less_than]
          in: query
          required: false
          description: Filter customers whose net revenue is less than the given value
          schema:
            type: string
        - name: filter[subscribed_in_last]
          in: query
          required: false
          description: Filter customers subscribed in the last N days
          schema:
            type: string
        - name: filter[unsubscribed_in_last]
          in: query
          required: false
          description: Filter customers unsubscribed in the last N days
          schema:
            type: string
        - name: filter[never_subscribed]
          in: query
          required: false
          description: Filter customers who have never subscribed
          schema:
            type: string
        - name: filter[sent_email_broadcast_id]
          in: query
          required: false
          description: Filter customers who were sent a specific email broadcast ID
          schema:
            type: string
        - name: filter[no_sent_email_broadcast_id]
          in: query
          required: false
          description: Filter customers who were not sent the specified email broadcast ID
          schema:
            type: string
        - name: filter[no_sent_email_broadcast_ids]
          in: query
          required: false
          description: >-
            Filter customers who were not sent any of the specified email
            broadcast IDs
          schema:
            type: string
        - name: filter[no_delivered_email_broadcast_id]
          in: query
          required: false
          description: >-
            Filter customers who did not receive the specified email broadcast
            ID
          schema:
            type: string
        - name: filter[opened_email_broadcast_id]
          in: query
          required: false
          description: Filter customers who opened a specific email broadcast ID
          schema:
            type: string
        - name: filter[no_opened_email_broadcast_id]
          in: query
          required: false
          description: Filter customers who did not open the specified email broadcast ID
          schema:
            type: string
        - name: filter[clicked_email_broadcast_id]
          in: query
          required: false
          description: Filter customers who clicked a specific email broadcast ID
          schema:
            type: string
        - name: filter[no_clicked_email_broadcast_id]
          in: query
          required: false
          description: Filter customers who did not click the specified email broadcast ID
          schema:
            type: string
        - name: filter[bounced_email_broadcast_id]
          in: query
          required: false
          description: Filter customers who bounced a specific email broadcast ID
          schema:
            type: string
        - name: filter[no_bounced_email_broadcast_id]
          in: query
          required: false
          description: Filter customers who did not bounce the specified email broadcast ID
          schema:
            type: string
        - name: filter[dropped_email_broadcast_id]
          in: query
          required: false
          description: Filter customers who dropped a specific email broadcast ID
          schema:
            type: string
        - name: filter[no_dropped_email_broadcast_id]
          in: query
          required: false
          description: Filter customers who did not drop the specified email broadcast ID
          schema:
            type: string
        - name: filter[opened_email_in_last]
          in: query
          required: false
          description: Filter customers who opened an email in the last N days
          schema:
            type: string
        - name: filter[not_opened_email_in_last]
          in: query
          required: false
          description: Filter customers who did not open an email in the last N days
          schema:
            type: string
        - name: filter[delivered_email_in_last]
          in: query
          required: false
          description: Filter customers who were delivered an email in the last N days
          schema:
            type: string
        - name: filter[not_delivered_email_in_last]
          in: query
          required: false
          description: Filter customers who were not delivered an email in the last N days
          schema:
            type: string
        - name: filter[clicked_email_in_last]
          in: query
          required: false
          description: Filter customers who clicked an email in the last N days
          schema:
            type: string
        - name: filter[not_clicked_email_in_last]
          in: query
          required: false
          description: Filter customers who did not click an email in the last N days
          schema:
            type: string
        - name: filter[is_hard_bouncing]
          in: query
          required: false
          description: Filter customers that are hard bouncing
          schema:
            type: string
        - name: filter[bounced_in_last]
          in: query
          required: false
          description: Filter customers who bounced in the last N days
          schema:
            type: string
        - name: filter[complained_in_last]
          in: query
          required: false
          description: Filter customers who complained in the last N days
          schema:
            type: string
        - name: filter[manually_unsubscribed_in_last]
          in: query
          required: false
          description: Filter customers manually unsubscribed in the last N days
          schema:
            type: string
        - name: filter[opted_out_in_last]
          in: query
          required: false
          description: Filter customers who opted out in the last N days
          schema:
            type: string
        - name: filter[healthy_contacts_with_open_data]
          in: query
          required: false
          description: Filter healthy customers with open data
          schema:
            type: string
        - name: filter[passive_contacts_with_open_data]
          in: query
          required: false
          description: Filter passive customers with open data
          schema:
            type: string
        - name: filter[unengaged_contacts_with_open_data]
          in: query
          required: false
          description: Filter unengaged customers with open data
          schema:
            type: string
        - name: filter[inactive_contacts_with_open_data]
          in: query
          required: false
          description: Filter inactive customers with open data
          schema:
            type: string
        - name: filter[subscribed_newsletter_id]
          in: query
          required: false
          description: Filter customers subscribed to a specific newsletter ID
          schema:
            type: string
        - name: filter[unsubscribed_newsletter_id]
          in: query
          required: false
          description: Filter customers unsubscribed from a specific newsletter ID
          schema:
            type: string
        - name: filter[is_suppressed]
          in: query
          required: false
          description: Filter suppressed customers
          schema:
            type: string
        - name: filter[mobile_phone_number_contains]
          in: query
          required: false
          description: Filter customers whose mobile phone number contains the given value
          schema:
            type: string
        - name: filter[subscribed_email_sequence_id]
          in: query
          required: false
          description: Filter customers subscribed to a specific email sequence ID
          schema:
            type: string
        - name: filter[not_subscribed_email_sequence_id]
          in: query
          required: false
          description: Filter customers not subscribed to a specific email sequence ID
          schema:
            type: string
      responses:
        '200':
          description: Success, list search results
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/customers_index_response'
        '401':
          description: Unauthorized, Authorization header is missing or invalid
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/errors_unauthorized'
        '403':
          description: Forbidden, insufficient permission to access the resource
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/errors_forbidden'
      security:
        - Bearer: []
components:
  schemas:
    customers_index_response:
      type: object
      properties:
        data:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              type:
                type: string
              attributes:
                $ref: '#/components/schemas/customers_attributes'
              relationships:
                type: object
                properties:
                  contact:
                    type: object
                    properties:
                      data:
                        $ref: '#/components/schemas/resource_identifier'
                  site:
                    type: object
                    properties:
                      data:
                        $ref: '#/components/schemas/resource_identifier'
                  offers:
                    type: object
                    properties:
                      links:
                        type: object
                        properties:
                          self:
                            type: string
                  products:
                    type: object
                    properties:
                      data:
                        $ref: '#/components/schemas/resource_identifiers'
              links:
                type: object
                properties:
                  contact:
                    type: string
        links:
          type: object
          properties:
            self:
              type: string
            current:
              type: string
    errors_unauthorized:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/errors_attributes'
    errors_forbidden:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/errors_attributes'
    customers_attributes:
      type: object
      properties:
        name:
          type: string
        email:
          type: string
        avatar:
          type:
            - string
            - 'null'
        external_user_id:
          type: string
          nullable: true
          description: Supported once contact is granted an offer or makes a purchase
        public_bio:
          type:
            - string
            - 'null'
        public_location:
          type:
            - string
            - 'null'
        public_website:
          type:
            - string
            - 'null'
        socials:
          type: object
          nullable: true
          properties:
            twitter:
              type:
                - string
                - 'null'
            facebook:
              type:
                - string
                - 'null'
            instagram:
              type:
                - string
                - 'null'
        net_revenue:
          type:
            - string
            - 'null'
        sign_in_count:
          type: integer
          nullable: true
          description: Read only
        last_request_at:
          type: string
          nullable: true
          description: ISO 8601 date-time, read only
        bounced_at:
          type: string
          nullable: true
          description: ISO 8601 date-time, read only
        created_at:
          type: string
          format: date-time
          readOnly: true
          description: ISO 8601 date-time, read only
        updated_at:
          type: string
          format: date-time
          readOnly: true
          description: ISO 8601 date-time, read only
    resource_identifier:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
      required:
        - id
        - type
    resource_identifiers:
      type: array
      items:
        $ref: '#/components/schemas/resource_identifier'
    errors_attributes:
      type: object
      properties:
        status:
          type: string
        source:
          type: object
          nullable: true
          properties:
            pointer:
              type: string
        title:
          type: string
        detail:
          type: string
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````